import type { CreateElement } from 'vue';
import type { PropType } from '@vue/composition-api';
import type { CommonDisplayFileProps } from '../interface';
import type { UploadFile } from '../type';
import type { UploadDisplayDragEvents } from '../../common';
import type { UploadDragEvents } from '../hooks/useDrag';
export interface ImageFlowListProps extends CommonDisplayFileProps {
    uploadFiles?: (toFiles?: UploadFile[]) => void;
    cancelUpload?: (context: {
        e: MouseEvent;
        file?: UploadFile;
    }) => void;
    dragEvents: UploadDragEvents;
    disabled?: boolean;
    isBatchUpload?: boolean;
    draggable?: boolean;
}
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    icons: import("@ldesign/icons-vue").GlobalIconConfig;
    dragActive: import("@vue/composition-api").Ref<boolean>;
    uploadPrefix: string;
    uploadText: import("@vue/composition-api").ComputedRef<string>;
    innerDragEvents: import("@vue/composition-api").ComputedRef<UploadDisplayDragEvents>;
}> & import("@vue/composition-api").Data, {
    getStatusMap(): {
        iconMap: {
            success: JSX.Element;
            fail: JSX.Element;
            progress: JSX.Element;
            waiting: JSX.Element;
        };
        textMap: {
            success: string;
            fail: string;
            progress: string;
            waiting: string;
        };
    };
    renderEmpty(): JSX.Element;
    renderImgItem(file: UploadFile, index: number): JSX.Element;
    renderStatus(file: UploadFile): JSX.Element;
    renderNormalActionCol(file: UploadFile, index: number): JSX.Element;
    renderBatchActionCol(index: number): JSX.Element;
    renderFileList(): any;
    renderImageList(): any;
}, {}, {
    uploadFiles: PropType<(toFiles?: UploadFile[]) => void>;
    cancelUpload: PropType<(context: {
        e: MouseEvent;
        file?: UploadFile;
    }) => void>;
    dragEvents: PropType<UploadDragEvents>;
    disabled: BooleanConstructor;
    isBatchUpload: BooleanConstructor;
    draggable: BooleanConstructor;
    files: import("vue").PropType<UploadFile[]>;
    toUploadFiles: import("vue").PropType<UploadFile[]>;
    displayFiles: import("vue").PropType<UploadFile[]>;
    theme: import("vue").PropType<"file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: import("vue").PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: (FunctionConstructor | StringConstructor)[];
    status: import("vue").PropType<"error" | "default" | "success" | "warning">;
    locale: import("vue").PropType<import("../..").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: import("vue").PropType<string>;
    errorClasses: import("vue").PropType<string[]>;
    placeholderClass: import("vue").PropType<string>;
    showUploadProgress: BooleanConstructor;
    default: import("vue").PropType<(h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: import("vue").PropType<(h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: import("vue").PropType<(p: import("../type").UploadRemoveContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    uploadFiles: PropType<(toFiles?: UploadFile[]) => void>;
    cancelUpload: PropType<(context: {
        e: MouseEvent;
        file?: UploadFile;
    }) => void>;
    dragEvents: PropType<UploadDragEvents>;
    disabled: BooleanConstructor;
    isBatchUpload: BooleanConstructor;
    draggable: BooleanConstructor;
    files: import("vue").PropType<UploadFile[]>;
    toUploadFiles: import("vue").PropType<UploadFile[]>;
    displayFiles: import("vue").PropType<UploadFile[]>;
    theme: import("vue").PropType<"file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: import("vue").PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: (FunctionConstructor | StringConstructor)[];
    status: import("vue").PropType<"error" | "default" | "success" | "warning">;
    locale: import("vue").PropType<import("../..").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: import("vue").PropType<string>;
    errorClasses: import("vue").PropType<string[]>;
    placeholderClass: import("vue").PropType<string>;
    showUploadProgress: BooleanConstructor;
    default: import("vue").PropType<(h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: import("vue").PropType<(h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: import("vue").PropType<(p: import("../type").UploadRemoveContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    draggable: boolean;
    disabled: boolean;
    autoUpload: boolean;
    uploading: boolean;
    showUploadProgress: boolean;
    isBatchUpload: boolean;
} & {
    default?: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    status?: "error" | "default" | "success" | "warning";
    classPrefix?: string;
    tips?: string;
    errorClasses?: string[];
    placeholder?: string;
    theme?: "file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow";
    onRemove?: (p: import("../type").UploadRemoveContext) => void;
    files?: UploadFile[];
    abridgeName?: number[];
    fileListDisplay?: (h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    locale?: unknown;
    toUploadFiles?: UploadFile[];
    displayFiles?: UploadFile[];
    tipsClasses?: string;
    placeholderClass?: string;
    sizeOverLimitMessage?: string;
    uploadFiles?: (toFiles?: UploadFile[]) => void;
    cancelUpload?: (context: {
        e: MouseEvent;
        file?: UploadFile;
    }) => void;
    dragEvents?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    icons: import("@ldesign/icons-vue").GlobalIconConfig;
    dragActive: import("@vue/composition-api").Ref<boolean>;
    uploadPrefix: string;
    uploadText: import("@vue/composition-api").ComputedRef<string>;
    innerDragEvents: import("@vue/composition-api").ComputedRef<UploadDisplayDragEvents>;
}>, import("@vue/composition-api").Data, {}, {
    getStatusMap(): {
        iconMap: {
            success: JSX.Element;
            fail: JSX.Element;
            progress: JSX.Element;
            waiting: JSX.Element;
        };
        textMap: {
            success: string;
            fail: string;
            progress: string;
            waiting: string;
        };
    };
    renderEmpty(): JSX.Element;
    renderImgItem(file: UploadFile, index: number): JSX.Element;
    renderStatus(file: UploadFile): JSX.Element;
    renderNormalActionCol(file: UploadFile, index: number): JSX.Element;
    renderBatchActionCol(index: number): JSX.Element;
    renderFileList(): any;
    renderImageList(): any;
}, {}, {}, {}, {
    draggable: boolean;
    disabled: boolean;
    autoUpload: boolean;
    uploading: boolean;
    showUploadProgress: boolean;
    isBatchUpload: boolean;
} & {
    default?: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    status?: "error" | "default" | "success" | "warning";
    classPrefix?: string;
    tips?: string;
    errorClasses?: string[];
    placeholder?: string;
    theme?: "file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow";
    onRemove?: (p: import("../type").UploadRemoveContext) => void;
    files?: UploadFile[];
    abridgeName?: number[];
    fileListDisplay?: (h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    locale?: unknown;
    toUploadFiles?: UploadFile[];
    displayFiles?: UploadFile[];
    tipsClasses?: string;
    placeholderClass?: string;
    sizeOverLimitMessage?: string;
    uploadFiles?: (toFiles?: UploadFile[]) => void;
    cancelUpload?: (context: {
        e: MouseEvent;
        file?: UploadFile;
    }) => void;
    dragEvents?: unknown;
}, {
    draggable: boolean;
    disabled: boolean;
    autoUpload: boolean;
    uploading: boolean;
    showUploadProgress: boolean;
    isBatchUpload: boolean;
}, true>);
export default _default;
